
From: anton@samba.org

change HSC -> HVSC



---

 arch/ppc64/kernel/head.S           |    6 +++---
 arch/ppc64/kernel/pSeries_hvCall.S |   10 +++++-----
 include/asm-ppc64/hvcall.h         |    2 ++
 3 files changed, 10 insertions(+), 8 deletions(-)

diff -puN arch/ppc64/kernel/head.S~ppc64-HVSC arch/ppc64/kernel/head.S
--- 25/arch/ppc64/kernel/head.S~ppc64-HVSC	2004-02-04 00:11:53.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/head.S	2004-02-04 00:11:53.000000000 -0800
@@ -52,7 +52,7 @@
 /*
  * hcall interface to pSeries LPAR
  */
-#define HSC .long 0x44000022
+#define HVSC .long 0x44000022
 #define H_SET_ASR		0x30
 
 /*
@@ -1743,7 +1743,7 @@ _GLOBAL(__secondary_start)
 	cmpwi	r3,0x34         /* Pulsar */
 	bne	98f
 97:	li	r3,H_SET_ASR    /* hcall = H_SET_ASR */
-	HSC     		/* Invoking hcall */
+	HVSC     		/* Invoking hcall */
 	b	99f
 98:                             /* !(rpa hypervisor) || !(star)  */
 	mtasr	r4	        /* set the stab location         */
@@ -1912,7 +1912,7 @@ _STATIC(start_here_pSeries)
 	cmpwi	r3,0x34         /* Pulsar */
 	bne	98f
 97:	li	r3,H_SET_ASR    /* hcall = H_SET_ASR */
-	HSC     	        /* Invoking hcall */
+	HVSC     	        /* Invoking hcall */
 	b     	99f
 98:                             /* !(rpa hypervisor) || !(star) */
 	mtasr	r4	        /* set the stab location         */
diff -puN arch/ppc64/kernel/pSeries_hvCall.S~ppc64-HVSC arch/ppc64/kernel/pSeries_hvCall.S
--- 25/arch/ppc64/kernel/pSeries_hvCall.S~ppc64-HVSC	2004-02-04 00:11:53.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/pSeries_hvCall.S	2004-02-04 00:11:53.000000000 -0800
@@ -22,7 +22,7 @@
 /*
  * hcall interface to pSeries LPAR
  */
-#define HSC .long 0x44000022
+#define HVSC .long 0x44000022
 
 /* long plpar_hcall(unsigned long opcode,	 R3 
 		 unsigned long arg1,		 R4 
@@ -44,7 +44,7 @@ _GLOBAL(plpar_hcall)
         std     r9,-16(r1)
         std     r10,-24(r1)
 	
-	HSC                     /* invoke the hypervisor */
+	HVSC                    /* invoke the hypervisor */
 
         ld      r10,-8(r1)      /* Fetch r4-r7 ret args. */
         std     r4,0(r10)
@@ -63,7 +63,7 @@ _GLOBAL(plpar_hcall)
 _GLOBAL(plpar_hcall_norets)
 	mfcr	r0
 	std	r0,-8(r1)
-	HSC                     /* invoke the hypervisor */
+	HVSC                    /* invoke the hypervisor */
 	ld	r0,-8(r1)
 	mtcrf	0xff,r0
 	blr                     /* return r3 = status */
@@ -94,7 +94,7 @@ _GLOBAL(plpar_hcall_8arg_2ret)
 
         std     r12,-8(r1)      /* Save out ptr */
 	
-	HSC                    /* invoke the hypervisor */
+	HVSC                    /* invoke the hypervisor */
 
         ld      r10,-8(r1)      /* Fetch r4 ret arg */
         std     r4,0(r10)
@@ -126,7 +126,7 @@ _GLOBAL(plpar_hcall_4out)
 	std     r10,16(r1)
 	std     r14,8(r1)
 	
-	HSC                    /* invoke the hypervisor */
+	HVSC                    /* invoke the hypervisor */
 
 	ld      r14,32(r1)      /* Fetch r4-r7 ret args. */
 	std     r4,0(r14)
diff -puN include/asm-ppc64/hvcall.h~ppc64-HVSC include/asm-ppc64/hvcall.h
--- 25/include/asm-ppc64/hvcall.h~ppc64-HVSC	2004-02-04 00:11:53.000000000 -0800
+++ 25-akpm/include/asm-ppc64/hvcall.h	2004-02-04 00:11:53.000000000 -0800
@@ -102,6 +102,8 @@ long plpar_hcall(unsigned long opcode,
 		 unsigned long *out2,
 		 unsigned long *out3);
 
+#define HVSC			".long 0x44000022\n"
+
 /* Same as plpar_hcall but for those opcodes that return no values
  * other than status.  Slightly more efficient.
  */

_
